CONTIG_DRAW(1p)

NAME
search_overview -- Render a SearchIO parser report into a simple overview graphic

SYNOPSIS
search_overview -i filename [-f format] [-o outputfilename] [--labels]

DESCRIPTION
This script will take any Bio::SearchIO parseable report and turn it into a simple overview graphic of the report. For our purposes we are assuming BLAST and the BLAST scores when assigning colors. Output is a PNG format file.

This is not intended to be an overly customized script, rather it should probably just be either a quick and dirty look at a report or a starting point for more complicated implementations.

The color is determined by the hit score which is currently pegged to the NCBI scheme which looks like this

 RED     E<gt>= 200
 PURPLE  80-200
 GREEN   50-80
 BLUE    40-50
 BLACK   E<lt>40

Options:
 -i/--input The input filename, otherwise input is assumed from STDIN
 -o/--output The output filename, this is optional, if you do not
                   provide the output filename the script will create a file
                   using the name of the query sequence and will process
                   all the sequences in the file. If an output filename
                   IS provided the script will only display an image for the
                   first one.
 -f/--format The SearchIO format parser to use, if not provided
                   SearchIO will guess based on the file extension.
 -l/--labels Display the hit sequence name as a label in the overview.
                   For lots of sequences this will make the image very long
                   so by default it is turned off.

AUTHOR Jason Stajich
Jason Stajich, jason[-at-]open-bio[-dot-]org.